'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _inferno = require('inferno');

var _inferno2 = _interopRequireDefault(_inferno);

var _infernoCreateElement = require('inferno-create-element');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultProps = {
  color: 'success',
  tag: 'div'
};

var Alert = function Alert(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      color = props.color,
      onClose = props.onClose,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'tag', 'color', 'onClose']);

  var classes = (0, _utils.mapToCssModules)((0, _classnames2.default)(className, 'alert', 'alert-' + color, { 'alert-dismissible': onClose }), cssModule);

  var closeClasses = (0, _utils.mapToCssModules)('close', cssModule);

  Object.assign(attributes, {
    className: classes,
    role: 'alert'
  });

  var childEls = [onClose ? (0, _inferno.createVNode)(1, 'button', closeClasses, (0, _inferno.createVNode)(1, 'span', null, (0, _inferno.createTextVNode)('\xD7'), 2, {
    'aria-hidden': 'true'
  }), 2, {
    'type': 'button',
    'aria-label': 'Close',
    'onClick': onClose
  }) : null, children];

  return (0, _infernoCreateElement.createElement)(Tag, attributes, childEls);
};

Alert.defaultProps = defaultProps;

exports.default = Alert;
module.exports = exports['default'];
//# sourceMappingURL=Alert.js.map