'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _inferno = require('inferno');

var _inferno2 = _interopRequireDefault(_inferno);

var _infernoCreateElement = require('inferno-create-element');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('../utils');

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultProps = {
  tag: 'div'
};

var InputGroupButton = function InputGroupButton(props) {
  var className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      addonType = props.addonType,
      children = props.children,
      groupClassName = props.groupClassName,
      groupAttributes = props.groupAttributes,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'tag', 'addonType', 'children', 'groupClassName', 'groupAttributes']);

  if (typeof children === 'string') {
    var groupClasses = (0, _utils.mapToCssModules)((0, _classnames2.default)(groupClassName, 'input-group-' + addonType), cssModule);

    groupAttributes = groupAttributes || {};
    Object.assign(groupAttributes, { className: groupClasses });

    return (0, _infernoCreateElement.createElement)(Tag, groupAttributes, (0, _inferno.normalizeProps)((0, _inferno.createComponentVNode)(2, _Button2.default, _extends({}, attributes, {
      'className': className,
      children: children
    }))));
  }

  var classes = (0, _utils.mapToCssModules)((0, _classnames2.default)(className, 'input-group-' + addonType), cssModule);

  Object.assign(attributes, { className: classes });

  return (0, _infernoCreateElement.createElement)(Tag, attributes, children);
};

InputGroupButton.defaultProps = defaultProps;

exports.default = InputGroupButton;
module.exports = exports['default'];
//# sourceMappingURL=InputGroupButton.js.map