'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.animateModalOnRemove = animateModalOnRemove;
exports.animateModalOnAdd = animateModalOnAdd;
exports.Animated = Animated;

var _inferno = require('inferno');

var _infernoCreateElement = require('inferno-create-element');

var _utils = require('inferno-animation/dist/utils');

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * These are the open and close animation helpers
 */
function animateModalOnRemove(node, callback) {
  var clone = node.cloneNode(true);
  (0, _utils.setDisplay)(node, 'none !important');
  node.insertAdjacentElement('beforebegin', clone);

  (0, _utils.registerTransitionListener)(clone, function () {
    // *** Cleanup ***
    callback && callback(clone);
    clone.remove();
  });

  setTimeout(function () {
    (0, _utils.removeClassName)(clone, 'show');
  }, 5);
}

function animateModalOnAdd(node, callback) {
  (0, _utils.setDisplay)(node, 'none');
  (0, _utils.addClassName)(node, 'fade');
  (0, _utils.forceReflow)(node);
  (0, _utils.setDisplay)(node, 'block');

  (0, _utils.registerTransitionListener)([node, node.children[0]], function () {
    // *** Cleanup ***
    callback && callback(node);
  });

  (0, _utils.addClassName)(node, 'show');
}

function Animated(props) {
  var Tag = props.tag,
      children = props.children,
      attrs = _objectWithoutProperties(props, ['tag', 'children']);

  return (0, _infernoCreateElement.createElement)(Tag || 'div', attrs, children);
}
//# sourceMappingURL=AnimateModal.js.map