'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _inferno = require('inferno');

var _inferno2 = _interopRequireDefault(_inferno);

var _infernoCreateElement = require('inferno-create-element');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultProps = {
  tag: 'h4',
  wrapTag: 'div',
  closeAriaLabel: 'Close'
};

var ModalHeader = function ModalHeader(props) {
  var closeButton = void 0;

  var className = props.className,
      cssModule = props.cssModule,
      children = props.children,
      toggle = props.toggle,
      Tag = props.tag,
      WrapTag = props.wrapTag,
      closeAriaLabel = props.closeAriaLabel,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'children', 'toggle', 'tag', 'wrapTag', 'closeAriaLabel']);

  var classes = (0, _utils.mapToCssModules)((0, _classnames2.default)(className, 'modal-header'), cssModule);

  if (toggle) {
    closeButton = (0, _inferno.createVNode)(1, 'button', 'close', (0, _inferno.createVNode)(1, 'span', null, String.fromCharCode(215), 0, {
      'aria-hidden': 'true'
    }), 2, {
      'type': 'button',
      'onClick': toggle,
      'aria-label': closeAriaLabel
    });
  }

  var innerChildren = [(0, _infernoCreateElement.createElement)(Tag, { className: (0, _utils.mapToCssModules)('modal-title', cssModule) }, children), closeButton];

  Object.assign(attributes, { className: classes });

  return (0, _infernoCreateElement.createElement)(WrapTag, attributes, innerChildren);
};

ModalHeader.defaultProps = defaultProps;

exports.default = ModalHeader;
module.exports = exports['default'];
//# sourceMappingURL=ModalHeader.js.map